<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>thheuer.com - {{ page.code }}</title>
  <style>
      body {
          background: black url(/images/congruent_outline.png) center top repeat;
      }
      h1 {
          font-size: 30pt;
      }
      div {
          margin: 10px auto;
          width: 80%;
          background: url(/images/crossword/crossword.png) repeat;
          color: #e65a00;
          border-radius: 5px;
          padding: 10px;
          text-align: center;
      }
      div p {
          font-size: 20pt;
          margin: 10px auto;
          width: 80%;
          background: rgba(250, 170, 0, 0.12);
          border-radius: 5px;
          padding: 10px;
      }
      p.copy {
          font-size: 15pt;
      }
      a {
          color: #e65a00;
      }
  </style>
</head>
<body>
  <div>
      <h1>{{ page.code }} Error</h1>
  <p id="p"></p>
  <p>{{ page.message }}</p>
  <p class="copy">&copy; <a href="//thheuer.com">thheuer.com</a></p>
  <noscript>
    <p id="text">These aren't the droids you are looking for...</p>
  </noscript>
  </div>
  <script>
      var p = document.querySelector('#p'),
      t = "These aren't the droids you are looking for...",
      i = 0,
      myInt = 0,
      text = document.querySelector('#text');
      function getNextChar(text) {
          if (i == text.length) {
              clearInterval(myInt);
          }
          return text.charAt(i++);
      }
      function writeText() {
          p.innerHTML += getNextChar(t);
      }
      myInt = setInterval(writeText, 60);
  </script>
</body>
</html>
